public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] dev/mrueg:master commit in: dev-ruby/omniauth-openid/
@ 2016-03-28  0:29 Manuel Rüger
  0 siblings, 0 replies; 4+ messages in thread
From: Manuel Rüger @ 2016-03-28  0:29 UTC (permalink / raw
  To: gentoo-commits

commit:     5912f6ccc226713f50e7cd804b0406889fe338ff
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 28 00:29:25 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Mar 28 00:29:25 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=5912f6cc

dev-ruby/omniauth-openid: Initial version

Package-Manager: portage-2.2.28

 dev-ruby/omniauth-openid/Manifest                  |  1 +
 dev-ruby/omniauth-openid/metadata.xml              |  8 +++++
 .../omniauth-openid/omniauth-openid-1.0.1.ebuild   | 34 ++++++++++++++++++++++
 3 files changed, 43 insertions(+)

diff --git a/dev-ruby/omniauth-openid/Manifest b/dev-ruby/omniauth-openid/Manifest
new file mode 100644
index 0000000..9dff377
--- /dev/null
+++ b/dev-ruby/omniauth-openid/Manifest
@@ -0,0 +1 @@
+DIST omniauth-openid-1.0.1.gem 10240 SHA256 823bce35528072340b4a8a30ebd78e20d1a68178e222b88fe1dd977a88a457e2 SHA512 7e137d6bfa39a5b1ae3d22d22c8a6e1e5a8897d5552eab1011196b53a3dc1e276bc3dffb9f585460dc8ac88a8254704b4f3fd30338d52f13918b03c32ff81f3c WHIRLPOOL f28a308dd52c5552ec8dc600c92ae803bc1ef7695958d830292ef444403d187bc6658c968bed8b0d063ab6675a5dca7440e2dd02335524ffd99696a0c38191f5

diff --git a/dev-ruby/omniauth-openid/metadata.xml b/dev-ruby/omniauth-openid/metadata.xml
new file mode 100644
index 0000000..bfcb697
--- /dev/null
+++ b/dev-ruby/omniauth-openid/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer>
+		<email>mrueg@gentoo.org</email>
+		<name>Manuel Rüger</name>
+	</maintainer>
+</pkgmetadata>

diff --git a/dev-ruby/omniauth-openid/omniauth-openid-1.0.1.ebuild b/dev-ruby/omniauth-openid/omniauth-openid-1.0.1.ebuild
new file mode 100644
index 0000000..ba8d519
--- /dev/null
+++ b/dev-ruby/omniauth-openid/omniauth-openid-1.0.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="OpenID strategy for OmniAuth"
+HOMEPAGE="https://rubygems.org/gems/omniauth-openid https://github.com/intridea/omniauth-openid"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/omniauth-1.0
+	<dev-ruby/omniauth-2
+	>=dev-ruby/rack-openid-1.3.1
+	<dev-ruby/rack-openid-1.4"
+
+ruby_add_bdepend "test? ( >=dev-ruby/rack-test-0.5
+	<dev-ruby/rack-test-1
+	>=dev-ruby/webmock-1.7
+	<dev-ruby/webmock-2 )"
+
+all_ruby_prepare() {
+	sed -i -e "/[Ss]imple[Cc]ov/d" spec/spec_helper.rb || die
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] dev/mrueg:master commit in: dev-ruby/omniauth-openid/
@ 2016-03-28  0:33 Manuel Rüger
  0 siblings, 0 replies; 4+ messages in thread
From: Manuel Rüger @ 2016-03-28  0:33 UTC (permalink / raw
  To: gentoo-commits

commit:     d28f29cf1bea54d092752a621c6f28625cf09e67
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 28 00:33:16 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Mar 28 00:33:16 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=d28f29cf

dev-ruby/omniauth-openid: Fix dep restriction

Package-Manager: portage-2.2.28

 dev-ruby/omniauth-openid/omniauth-openid-1.0.1.ebuild | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/dev-ruby/omniauth-openid/omniauth-openid-1.0.1.ebuild b/dev-ruby/omniauth-openid/omniauth-openid-1.0.1.ebuild
index ba8d519..0845d72 100644
--- a/dev-ruby/omniauth-openid/omniauth-openid-1.0.1.ebuild
+++ b/dev-ruby/omniauth-openid/omniauth-openid-1.0.1.ebuild
@@ -21,8 +21,7 @@ IUSE=""
 
 ruby_add_rdepend ">=dev-ruby/omniauth-1.0
 	<dev-ruby/omniauth-2
-	>=dev-ruby/rack-openid-1.3.1
-	<dev-ruby/rack-openid-1.4"
+	>=dev-ruby/rack-openid-1.3.1"
 
 ruby_add_bdepend "test? ( >=dev-ruby/rack-test-0.5
 	<dev-ruby/rack-test-1


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] dev/mrueg:master commit in: dev-ruby/omniauth-openid/
@ 2016-03-28  0:36 Manuel Rüger
  0 siblings, 0 replies; 4+ messages in thread
From: Manuel Rüger @ 2016-03-28  0:36 UTC (permalink / raw
  To: gentoo-commits

commit:     d661eb58e8a0d493e3cdb381ad153759cd95a503
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 28 00:36:14 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Mar 28 00:36:14 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=d661eb58

dev-ruby/omniauth-openid: Fix dep restriction properly

Package-Manager: portage-2.2.28

 dev-ruby/omniauth-openid/omniauth-openid-1.0.1.ebuild | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dev-ruby/omniauth-openid/omniauth-openid-1.0.1.ebuild b/dev-ruby/omniauth-openid/omniauth-openid-1.0.1.ebuild
index 0845d72..003fec3 100644
--- a/dev-ruby/omniauth-openid/omniauth-openid-1.0.1.ebuild
+++ b/dev-ruby/omniauth-openid/omniauth-openid-1.0.1.ebuild
@@ -30,4 +30,5 @@ ruby_add_bdepend "test? ( >=dev-ruby/rack-test-0.5
 
 all_ruby_prepare() {
 	sed -i -e "/[Ss]imple[Cc]ov/d" spec/spec_helper.rb || die
+	sed -i -e "s/1.3.1/'1.3'/" ../metadata || die
 }


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] dev/mrueg:master commit in: dev-ruby/omniauth-openid/
@ 2016-03-28 15:43 Manuel Rüger
  0 siblings, 0 replies; 4+ messages in thread
From: Manuel Rüger @ 2016-03-28 15:43 UTC (permalink / raw
  To: gentoo-commits

commit:     42abcd3298072a005b5dea5ae5fc987b5f27f73b
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 28 15:43:21 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Mar 28 15:43:21 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=42abcd32

dev-ruby/omniauth-openid: Add ruby22

Package-Manager: portage-2.2.28

 dev-ruby/omniauth-openid/omniauth-openid-1.0.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-ruby/omniauth-openid/omniauth-openid-1.0.1.ebuild b/dev-ruby/omniauth-openid/omniauth-openid-1.0.1.ebuild
index 003fec3..b1e7e02 100644
--- a/dev-ruby/omniauth-openid/omniauth-openid-1.0.1.ebuild
+++ b/dev-ruby/omniauth-openid/omniauth-openid-1.0.1.ebuild
@@ -4,7 +4,7 @@
 
 EAPI=5
 
-USE_RUBY="ruby20 ruby21"
+USE_RUBY="ruby20 ruby21 ruby22"
 
 RUBY_FAKEGEM_RECIPE_DOC="yard"
 RUBY_FAKEGEM_RECIPE_TEST="rspec"


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2016-03-28 15:43 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-03-28 15:43 [gentoo-commits] dev/mrueg:master commit in: dev-ruby/omniauth-openid/ Manuel Rüger
  -- strict thread matches above, loose matches on Subject: below --
2016-03-28  0:36 Manuel Rüger
2016-03-28  0:33 Manuel Rüger
2016-03-28  0:29 Manuel Rüger

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox